This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 258681 - Review Request: bluez-firmware - Bluetooth firmware distributed by the BlueZ project
Review Request: bluez-firmware - Bluetooth firmware distributed by the BlueZ...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
NotReady
:
: 849339 (view as bug list)
Depends On:
Blocks: FE-Legal FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2007-08-27 21:04 EDT by Will Woods
Modified: 2012-08-20 09:54 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-30 02:01:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Will Woods 2007-08-27 21:04:02 EDT
Spec URL: http://ecoldcuts.com/~wwoods/fedora/bluez-firmware.spec
SRPM URL: http://ecoldcuts.com/~wwoods/fedora/bluez-firmware-1.2-1.src.rpm
Description: This package contains the firmware distributed by the BlueZ project as bluez-firmware. Debian (and Ubuntu) distribute this package; see http://packages.debian.org/changelogs/pool/non-free/b/bluez-firmware/bluez-firmware_1.2-1/bluez-firmware.copyright for info.
Comment 1 Till Maas 2007-08-29 07:37:34 EDT
The source tag should point to a full URL, here it seems that
http://downloads.sourceforge.net/bluez/%{name}-%{version}.tar.gz would be the
correct one.

Did you build this package once for a 64bit arch? There %{_lib} expands to
lib64, so maybe configure should be invoked wiht --libdir=/lib, because e.g. the
ipw2000 firmware is also everytime in /lib.

./configure --libdir=/%{_lib}
[...]
/lib/firmware/BCM-LEGAL.txt
Comment 2 Will Woods 2007-08-29 13:26:15 EDT
Changed the spec to match your suggestions, thanks. New files:
Spec URL: http://wwoods.fedorapeople.org/review/bluez-firmware.spec
SRPM URL: http://wwoods.fedorapeople.org/review/bluez-firmware-1.2-2.src.rpm
Comment 3 Till Maas 2007-09-05 17:31:07 EDT
- rpmlint: ok
E: bluez-firmware hardcoded-library-path /lib in configure options
this is intended and ok here.

- Naming: ok
- license: bad
There is no indication that this package is redistributable, there is only
contact information for the broadcom firmware but no information at all for the
ST Microelectronics firmware. I guess this review should block FE-Legal or you
should make upstream include license information for the firmware that states
that redistribution is allowed. The link to packages.debian.org is imho not enough.

1cc3cefad872e937e05de5a0a2b390dd  bluez-firmware-1.2.tar.gz
1cc3cefad872e937e05de5a0a2b390dd  bluez-firmware-1.2.tar.gz.1

Suggestion:
You can use %%{_lib} in %changelog to show the full name of the _lib macro.
Comment 4 Will Woods 2007-09-05 18:07:41 EDT
At Mark Webbink's suggestion, I've added a BCM2033-license.txt file that will
further explain the agreement with Broadcom. He is currently in contact with
Broadcom Legal and will advise on how to proceed there. 

As for the ST Microelectronics firmware, I can't find any information anywhere
regarding its licensing. 

Upstream believes that both sets of firmware are freely distributable, but did
not give any details beyond the email exchange that's reproduced in the link on
packages.debian.org.

Updated spec: http://wwoods.fedorapeople.org/review/bluez-firmware.spec
Updated SRPM: http://wwoods.fedorapeople.org/review/bluez-firmware-1.2-3.src.rpm
Comment 5 Tom "spot" Callaway 2008-04-01 11:23:07 EDT
Yeah, that license is not "freely redistributable", which fails to meet the
criteria for firmware:

http://fedoraproject.org/wiki/Licensing/#BinaryFirmware
Comment 6 Will Woods 2008-04-01 12:33:23 EDT
Well, that license was added at Mark Webbink's suggestion; since it's not part
of the upstream source I can just drop it.

The best thing would be a statement from Broadcom Legal saying that
redistribution of their firmware is explicitly permitted. But I haven't been
able to get a response from them.

The debian copyright info file (see comment #1) says:

"The BlueZ project has permission from Broadcom Corporation to distribute this
firmware in conjunction with the BlueZ GPLd tools, available in Debian as
bluez-utils, as long as the notice contained in
/usr/share/doc/bluez-firmware/BCM-LEGAL.txt accompanies the firmware."

So - maybe these files are freely redisitributable *if* we put them in the
bluez-utils package. Or maybe we're OK as long as we're also shipping bluez-utils. 

Guess I'll try emailing broadcom again.
Comment 7 Nicolas Chauvet (kwizart) 2008-05-27 18:20:27 EDT
You could try to ask BlueZ project instead ? (to ask Broadcom ).
This method seems to work better in some case. (already experienced with Ralinks).
Comment 8 Jason Tibbitts 2008-08-21 08:20:29 EDT
Did anything ever happen with this package?  I think bluez itself was submitted recently; doesn't it need this firmware?
Comment 9 Will Woods 2008-08-21 10:47:11 EDT
Re comment #7 - I *did* ask the BlueZ maintainer, and he told me that he believed that the license granted to Debian covered redistribution for any party. But he's not a lawyer.

Re comment #8 - This package is only needed for certain bluetooth chipsets, primarily those using the bcm203x driver. It also includes firmware for some ST Microsystems bluetooth devices, but we don't appear to ship a driver that requires that firmware - at least not in F9.
Comment 10 Tom "spot" Callaway 2008-08-22 14:53:53 EDT
Without some word from Broadcom, I don't think we can safely move forward here.
Comment 11 Tom "spot" Callaway 2008-10-09 16:20:44 EDT
Will, any word from Broadcom?
Comment 12 Will Woods 2008-10-09 16:34:45 EDT
Still haven't heard anything. I guess I could try again but they don't seem particularly eager to talk to me about firmware distribution.
Comment 13 Will Woods 2008-10-09 16:39:41 EDT
I just want to note that Broadcom's pre-existing agreement seems to cover this case:

"The BlueZ project has permission from Broadcom Corporation to distribute this firmware in conjunction with the BlueZ GPLd tools ... as long as the notice contained in /usr/share/doc/bluez-firmware/BCM-LEGAL.txt accompanies the firmware."

To me it seems fairly clear - freely redistributable, so long as that file is included. But I'm still not a lawyer. So I'd suggest that someone who *is* a lawyer email the folks listed in the message from comment #1:

http://packages.debian.org/changelogs/pool/non-free/b/bluez-firmware/bluez-firmware_1.2-1/bluez-firmware.copyright

and get someone to confirm that.
Comment 14 Tom "spot" Callaway 2008-10-09 16:56:09 EDT
Will, the problem here is that we do not have permission to distribute that firmware without it being "in conjunction with the BlueZ GPLd tools". Putting that firmware in a separate "bluez-firmware" package would violate that license, thus, it is not freely redistributable. We need permission from Broadcom to be able to distribute this firmware without any sort of "bundling" restrictions.
Comment 15 Jason Tibbitts 2010-01-25 19:22:56 EST
So, 15 months later, can we make any progress or should this just be closed out?
Comment 16 Caius Chance 2010-04-30 02:01:04 EDT
Closed FE-DEADREVIEW.
Comment 17 Josh Boyer 2012-08-20 09:54:45 EDT
*** Bug 849339 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.